---
sidebar_label: ElementHandle.isVisible
---

# ElementHandle.isVisible() method

Checks if an element is visible using the same mechanism as [ElementHandle.waitForSelector()](./puppeteer.elementhandle.waitforselector.md).

#### Signature:

```typescript
class ElementHandle {
  isVisible(): Promise<boolean>;
}
```

**Returns:**

Promise&lt;boolean&gt;
